Get Account

GET /api/v1/accounts/:id

Returns a single account by ID.

Path Parameters

ParameterTypeDescription
idstringAccount ID

Query Parameters

ParameterTypeDefaultDescription
fieldsstringallComma-separated field names

Example Request

curl -X GET "https://statements.finopsbricks.com/api/v1/accounts/acc123xyz" \
  -H "api-key: fob_stm_xxxxxxxxxxxx" \
  -H "api-secret: xxxxxxxxxxxxxxxx"

Example: Select Specific Fields

curl -X GET "https://statements.finopsbricks.com/api/v1/accounts/acc123xyz?fields=id,name,category,currency" \
  -H "api-key: fob_stm_xxxxxxxxxxxx" \
  -H "api-secret: xxxxxxxxxxxxxxxx"

Response

{
  "data": {
    "id": "acc123xyz",
    "name": "Main Business Account",
    "category": "bank",
    "description": "Primary operating account",
    "acc_no": "1234567890",
    "currency": "INR",
    "color": "#3B82F6",
    "opening_balance": 10000.00,
    "opening_balance_date": "2025-01-01",
    "status": "active",
    "upload_frequency": "weekly",
    "created_at": "2025-01-01T00:00:00.000Z",
    "review": {
      "is_done": true,
      "at": "2025-01-06T14:30:00.000Z",
      "type": "human",
      "by": "user123",
      "work_record_id": "wr456"
    }
  }
}

Response Fields

See Account Object for field descriptions.

Errors

CodeDescription
401Invalid or missing API credentials
403API key lacks accounts:read permission
404Account not found